Subject: bug#18795: 25.0.50; Error when click window-mgr icon to close window (frame) and quit Emacs

From: Dani Moncayo <[email-masked]>
Date: Wed, 22 Oct 2014 23:02:22 +0200

>> 2. How can I generate the ".sig" files?
>> 3. How can I upload the files there?
>
> See https://www.gnu.org/prep/maintain/html_node/Automated-FTP-Uploads.html

I'm trying to follow that procedure from a Cygwin system.

I've been unable to do the "Optional but recommended" step in

  https://www.gnu.org/prep/maintain/html_node/Automated-Upload-Registration.html#Automated-Upload-Registration

Because
  gpg --keyserver keys.gnupg.net --send-keys <keyid>

gives here this

  gpg: WARNING: unsafe permissions on configuration file
`/home/Dani/.gnupg/gpg.conf'
  gpg: WARNING: unsafe enclosing directory permissions on
configuration file `/home/Dani/.gnupg/gpg.conf'
  gpg: external program calls are disabled due to unsafe options file
permissions
  gpg: keyserver communications error: general error
  gpg: keyserver send failed: general error

I've tried to change the file permissions but it doesn't work:
  Dani@LEG570 $ pwd
  /home/Dani/.gnupg
  Dani@LEG570 $ ls -o
  total 29
  -rw-rw---- 1 Dani 9188 Oct 22 21:29 gpg.conf
  -rw-rw---- 1 Dani 1192 Oct 22 21:31 pubring.gpg
  -rw-rw---- 1 Dani 1192 Oct 22 21:31 pubring.gpg~
  -rw-rw---- 1 Dani  600 Oct 22 21:31 random_seed
  -rw-rw---- 1 Dani 2570 Oct 22 21:31 secring.gpg
  -rw-rw---- 1 Dani 1280 Oct 22 21:31 trustdb.gpg
  Dani@LEG570 $ chmod 600 *
  Dani@LEG570 $ ls -o
  total 29
  -rw-rw---- 1 Dani 9188 Oct 22 21:29 gpg.conf
  -rw-rw---- 1 Dani 1192 Oct 22 21:31 pubring.gpg
  -rw-rw---- 1 Dani 1192 Oct 22 21:31 pubring.gpg~
  -rw-rw---- 1 Dani  600 Oct 22 21:31 random_seed
  -rw-rw---- 1 Dani 2570 Oct 22 21:31 secring.gpg
  -rw-rw---- 1 Dani 1280 Oct 22 21:31 trustdb.gpg

Well, ok. That's an "optional" step, so let's move on:

In step 3 (from the same URL above), I'm told to (a) generate a "msg"
file, with an attachement, then (b) sign it, and finally (c) send it.
But how can I do (a)? I.e. how can I create that "msg" file with an
attachement inside?  I've never done such thing (I've always built my
messages from either a web browser or an email client such as Outlook
- and I have not email client program installed in this machine...)

-- 
Dani Moncayo